package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.util.Iterator;
import java.util.List;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.OperadorEmbarcada;
import com.rjconsultores.ventaboletos.entidad.UsuarioUbicacion;

public class RenderOperadorEmbarcada implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
    	OperadorEmbarcada operador = (OperadorEmbarcada) o;

        Listcell lc = new Listcell(operador.getOperadorEmbarcadaId().toString());
        lc.setParent(lstm);

        lc = new Listcell(operador.getUsuario().getClaveUsuario());
        lc.setParent(lstm);

        lc = new Listcell(operador.getUsuario().getName());
        lc.setParent(lstm);
                     
    	List<UsuarioUbicacion> usuarioUbicacionList = operador.getUsuario().getUsuarioUbicacionActivoList();
    	StringBuilder ubicacionsBuilder = new StringBuilder();                
        if(!usuarioUbicacionList.isEmpty()){        	
        	
        	Iterator<UsuarioUbicacion> usuarioUbicacionIt = usuarioUbicacionList.iterator();
        	ubicacionsBuilder.append(usuarioUbicacionIt.next().getPuntoVenta().getNombpuntoventa());
        	
        	while(usuarioUbicacionIt.hasNext())
        		ubicacionsBuilder.append(" \\ ")
        						.append(usuarioUbicacionIt.next().getPuntoVenta().getNombpuntoventa());
        	
        }
        
        lc = new Listcell(ubicacionsBuilder.toString());
    	lc.setParent(lstm);

        lstm.setAttribute("data", operador);
    }
}
